Public Repository

Last pushed: 6 months ago
Short Description
Perl with dependencies that is needed to develop fab booking bot
Full Description

Save time on setting enviroment when developing https://github.com/FabLab61/bookingbot

Run container in a single command (you must be in directory with testing source code):

docker run --rm --name bookingbot -v $(pwd):/bookingbot pavelsr/bookingbot-dev

Dependencies

requires "API::Google"; requires "common::sense"; requires "Data::Dumper"; requires "Data::Dumper::AutoEncode"; requires "Date::Parse"; requires "DateTime"; requires "DateTime::Duration"; requires "DateTime::Format::RFC3339"; requires "DateTime::Span"; requires "DateTime::SpanSet"; requires "File::Basename"; requires "FSA::Rules"; requires "List::MoreUtils"; requires "Log::Any"; requires "Log::Any::Adapter"; requires "Log::Any::For::Std"; requires "Mojolicious::Lite"; requires "Scalar::Util"; requires "TAP::Harness"; requires "Test::MockObject"; requires "Try::Tiny"; requires "WWW::Telegram::BotAPI"; requires "Telegram::BotKit::Polling"; requires "Telegram::BotKit::Keyboards";

Dockerfile

FROM perl:5.24.0 WORKDIR /bookingbot VOLUME ["/bookingbot"] COPY cpanfile ./ RUN cpanm --installdeps . ENTRYPOINT ["perl"] CMD ["bot.pl"] LABEL maintainer "Pavel Serikov <pavelsr@cpan.org>"

Docker Pull Command
Owner
pavelsr

Comments (0)